﻿(function ($) {
    $.languages = (function (my) {
        var it = [];

        var en = [];



         //IT
         //=========================================================

        //MENU DEVICES LANGUAGES
        it['BUCKET'] = 'Bucket Niagara';
        it['ESC'] = 'Essicatori';
        it['POOLISOIL'] = 'Variabili';
        it['POOLNX'] = 'Lennox';
        it['GASMBASIC'] = 'Sensore a Gas';
        it['STALL'] = 'Stallo';
        it['CAL'] = 'Unità termica';
        it['GRU'] = 'Gruppo termico';
        it['PDC'] = 'Pompa di calore';
        it['S'] = 'Sonda di temperatura';
        it['UTA'] = 'Unità trattamento aria';
        it['UTACOIN'] = 'Unità trattamento aria';
        it['CHIAERMEC'] = 'Refrigeratore';
        it['CHI'] = 'Refrigeratore';
        it['COOV'] =  'Sensore co2';
        it['POOL'] =  'Tutte le variabili';
        it['ANZ'] =  'Analizzatori';
        it['FPT'] =  'Sens Portata';
        it['PPV'] =  'Sens Pressione';
        it['COMPINGRR'] =  'Comp R225ne';
        it['COMPINGRML'] =  'Comp ML250ssr';
        it['CRON'] =  'Cronotermostato';
        it['SCA'] =  'Stato/Comando';
        it['HVAC'] =  'Risc./Vent./Condiz.';
        it['LUX'] = 'Punto Luce';
        it['ZTH'] = 'Sonda Amb[°C/%]';
        it['ZTHL'] = 'Sonda Amb[°C/%/lux]';
        it['ZTHC'] = 'Sonda Amb[°C/%/ppm]';
        it['ZANZ'] = 'Analiz di Rete [W/V/A]';
        it['ZTXC'] = 'Sonda temperatura generica';
        it['GAS'] = 'Contatore gas';
        it['GASM'] = 'Contatore gas';
        it['CTB'] = 'Contabilizzatore di calore';
        it['EV'] = 'Elettrovalvola';
        it['CIR'] = 'Circolatore';
        it['CIRM'] = 'Circolatore modbus';
        it['CIRD'] = 'Circolatore gemellare';
        it['CIRDM'] = 'Circolatore gemellare modbus';
        it['VRD'] = 'Servomotore';
        it['CTL'] = 'Contalitri';
        it['PB'] = 'Pressostato di blocco';
        it['PM'] = 'Pressostato di minima';
        it['TB'] = 'Termostato di blocco';
        it['PORT'] = 'Misuratore di portata';

        it['CALS'] = 'Unità termiche';
        it['GRUS'] = 'Gruppi termici';
        it['PDCS'] = 'Pompe di calore';
        it['SS'] = 'Sonde di temperatura';
        it['UTAS'] = 'Unità trattamento aria';
        it['UTACOINS'] = 'Unità trattamento aria';
        it['CHIAERMECS'] = 'Unità trattamento aria';
        it['CHIS'] = 'Refrigeratori';
        it['COOVS'] = 'Sensori co2';
        it['POOLS'] = 'Tutte le variabili';
        it['ANZS'] = 'Analizzatori';
        it['FPTS'] = 'Sensori Portata';
        it['PPVS'] = 'Senssori Pressione';
        it['COMPINGRRS'] = 'Comp R225ne';
        it['COMPINGRMLS'] = 'Comp ML250ssr';
        it['CRONS'] = 'Cronotermostati';
        it['SCA'] = 'Stati/Comandi';
        it['HVACS'] = 'Risc./Vent./Condiz.';
        it['LUXS'] = 'Punti Luce';        
        it['ASTRS'] = 'Orologi astronomici';
        it['ZTHS'] = 'Sonde Amb[°C/%]';
        it['ZTHLS'] = 'Sonde Amb[°C/%/lux]';
        it['ZTHCS'] = 'Sonde Amb[°C/%/ppm]';
        it['ZANZS'] = 'Analizzatorti di Rete [W/V/A]';
        it['ZTXCS'] = 'Sonde temperatura generica';
        it['GASS'] = 'Contatori gas';
        it['GASMS'] = 'Contatore gas';
        it['CTBS'] = 'Contabilizzatori di calore';
        it['EVS'] = 'Elettrovalvole';
        it['CIRS'] = 'Circolatori';
        it['CIRMS'] = 'Circolatori modbus';
        it['CIRDS'] = 'Circolatori gemellari';
        it['CIRDMS'] = 'Circolatori gemellare modbus';
        it['VRDS'] = 'Servomotori';
        it['CTLS'] = 'Contalitri';
        it['PBS'] = 'Pressostati di blocco';
        it['PMS'] = 'Pressostati di minima';
        it['TBS'] = 'Termostati di blocco';
        it['PORTS'] = 'Misuratori di portata';
        //-------------------------------//


        it['TotalPowerFactor'] = 'Fattore di potenza totale';
        it['TotalActivePower'] = 'Potenza attiva totale';
        it['TotalReactivePower'] = 'Potenza reattiva totale';
        it['TotalApparentPower'] = 'Potenza apparente totale';
        it['TotalCurrent'] = 'Corrente totale';
        it['TotalActiveEnergyConsumed'] = 'Energia attiva consumata totale';
        it['Vrms1'] = 'Vrms 1';
        it['Vrms2'] = 'Vrms 2';
        it['Vrms3'] = 'Vrms 3';
        it['Vrms4'] = 'Vrms 4';        
        it['In1'] = 'Sonda 1';
        it['In2'] = 'Sonda 2';
        it['In3'] = 'Sonda 3';
        it['In4'] = 'Sonda 4';

        it['FromDate'] = 'Dal';
        it['refresh'] = 'Aggiorna';
        it['add'] = 'Nuovo';
        it['addF'] = 'Nuova';
        it['edit'] = 'Modifica';
        it['delete'] = 'Cancella';
        it['read'] = 'Leggi';
        it['save'] = 'Salva';
        it['retype'] = 'Ridigitare';
        it['close'] = 'Chiudi';
        it['clear'] = 'Pulisci';
        it['confirmdelete'] = 'Conferma cancellazione';
        it['confirm'] = 'Conferma';
        it['copy'] = 'Copia';
        it['detail'] = 'Dettaglio';
        it['description'] = 'Descrizione';
        it['search'] = 'Ricerca';
        it['status'] = 'Stato';
        it['map'] = 'Mappa';
        it['list'] = 'Elenco';
        it['prev'] = 'Prec';
        it['next'] = 'Succ';
        it['select'] = 'Scelta';
        it['manage'] = 'Gestione';
        it['alert'] = 'Attenzione';
        it['portnumber'] = 'Porta';
        it['type'] = 'Tipo';
        it['starttime'] = 'orario di inizio';
        it['language'] = 'Lingua';
        it['yes'] = 'Si';
        it['no'] = 'No';
        it['lastupdate'] = 'Ultimo aggiornamento';
        it['lastupdateshort'] = 'Ult. agg.';
        it['latitude'] = 'Latitudine';
        it['longitude'] = 'Longitudine';
        it['altitude'] = 'Altitudine';
        it['year'] = 'Anno';
        it['years'] = 'Anni';
        it['month'] = 'Mese';
        it['months'] = 'Mesi';
        it['day'] = 'Giorno';
        it['days'] = 'Giorni';
        it['hour'] = 'Ora';
        it['hours'] = 'Ore';
        it['minute'] = 'Minuto';
        it['minutes'] = 'Minuti';
        it['second'] = 'Secondo';
        it['seconds'] = 'Secondi';
        it['millisecond'] = 'Millisecondo';
        it['milliseconds'] = 'Millisecondi';
        it['qta'] = 'Quantità';
        it['code'] = 'Codice';
        it['document'] = 'Documento';
        it['documents'] = 'Documenti';
        it['size'] = 'Dimensione';
        it['daterange'] = 'Intervallo';
        it['furtherdetail'] = 'Ulteriore dettaglio';
        it['send'] = 'Invia';
        it['connected'] = 'Connesso';
        it['level'] = 'Livello';
        it['calendar'] = 'Calendario';
        it['schedule'] = 'Programma';
        it['start'] = 'Inizio';
        it['end'] = 'Fine';
        it['monday'] = 'Lunedi';
        it['tuesday'] = 'Martedi';
        it['wednesday'] = 'Mercoledi';
        it['thursday'] = 'Giovedi';
        it['friday'] = 'Venerdi';
        it['saturday'] = 'Sabato';
        it['sunday'] = 'Domenica';
        it['mondayshort'] = 'Lun.';
        it['tuesdayshort'] = 'Mar.';
        it['wednesdayshort'] = 'Mer.';
        it['thursdayshort'] = 'Gio.';
        it['fridayshort'] = 'Ven.';
        it['saturdayshort'] = 'Sab.';
        it['sundayshort'] = 'Dom.';

        it['signin'] = 'Accedi';
        it['rememberme'] = 'Rimani connesso';
        it['logasadministrator'] = 'Accesso come amministratore';
        it['logasoperator'] = 'Accesso come operatore';
        it['logassupervisor'] = 'Accesso come supervisore';
        it['administratorlogin'] = 'Accesso amministratore';
        it['operatorlogin'] = 'Accesso operatore';
        it['supervisorlogin'] = 'Accesso supervisore';

        it['dashboard'] = 'Cruscotto';
        it['role'] = 'Ruolo';
        it['roles'] = 'Ruoli';
        it['users'] = 'Utenti';
        it['user'] = 'Utente';
        it['endusers'] = 'Utenti finali';
        it['enduser'] = 'Utente finali';
        it['clients'] = 'Proprietari';
        it['client'] = 'Proprietario';
        it['mantainers'] = 'Manutentori';
        it['mantainer'] = 'Manutentore';
        it['availabeusers'] = 'Utenti disponibili';
        it['assignedusers'] = 'Utenti assegnati';
        it['ismaster'] = 'Capogruppo';
        it['administration'] = 'Amministrazione';
        it['navigation'] = 'Menu';
        it['cpuusage'] = 'tempo processore';
        it['batchrequest'] = 'richieste batch';
        it['currentjobs'] = 'processi';
        it['approved'] = 'approvati';
        it['notapproved'] = 'non approvati';
        it['locked'] = 'bloccati';
        it['enabled'] = 'abilitati';
        it['isenabled'] = 'Abilitato';
        it['waittime'] = 'tempo di attesa';
        it['hostname'] = 'nome host';
        it['networkaddress'] = 'Indirizzo';
        it['userslist'] = 'Elenco Utenti';
        it['devicesList'] = 'Lista Device';
        it['select_a_role'] = 'Selezionare un ruolo';
        it['adduser'] = 'Nuovo utente';
        it['userdetail'] = 'Dettaglio utente';
        it['username'] = 'Nome utente';
        it['usercomment'] = 'Descrizione';
        it['usercreation'] = 'Creazione';
        it['userlastlogin'] = 'Ultimo accesso';
        it['userisenabled'] = 'Abilitato';
        it['userisdisabled'] = 'Non abilitato';
        it['userislocked'] = 'Bloccato';
        it['userisunlocked'] = 'Non bloccato';
        it['deleteuser'] = 'Cancellazione utente';
        it['msgconfirmuserdelete'] = 'Confermare la cancellazione per utente';
        it['msgoperationirreversible'] = 'Questa operazione è irreversibile';
        it['adduser'] = 'Nuovo utente';
        it['updateuser'] = 'Modifica utente';
		it['updatedevice'] = 'Modifica Device'
        it['resetuserpassword'] = 'Modifica password utente';
        it['oldpassword'] = 'Vecchia password';
        it['newpassword'] = 'Nuova password';
        it['addressbook'] = 'Rubrica';
        it['name'] = 'Nome';
        it['availables'] = 'Disponibili';
        it['available'] = 'Disponibile';
        it['assigneds'] = 'Assegnati';
        it['assigned'] = 'Assegnato';
        it['profiles'] = 'Profili';
        it['profile'] = 'Profilo';
        it['projects'] = 'Progetti';
        it['project'] = 'Progetto';
        it['projectUpd'] = 'Aggiorna Progetto';
        it['information'] = 'Informazioni';
        it['dbName'] = 'Nome Database';
        it['address'] = 'Indirizzo';
        it['commands'] = 'Comandi';

        it['maintenance'] = 'Manutenzione';
        it['isonline'] = 'Online';
        it['errorcode'] = 'Errore';
        it['errorcodes'] = 'Log/Errori';

        it['newrole'] = 'Nuovo ruolo';
        it['editrole'] = 'Modifica ruolo';
        it['msgconfirmroledelete'] = 'Confermare la cancellazione per ruolo';
        it['deleterole'] = 'Cancellazione ruolo';

        it['editInstallation'] = 'Modifica installazione';
        it['Installations'] = 'Installazioni';
        it['installation'] = 'Installazione';
        it['installationOffLine'] = 'Collegamento assente';
        it['currentInstallations'] = 'Attuali installazioni';
        it['installationaddress'] = 'Indirizzo';
        it['installationAltitude'] = 'Altitudine';
        it['setaddress'] = 'Imposta indirizzo';
        it['installationmasterdata'] = 'Dati anagrafici';
        it['InstallationSetup'] = 'configurazione installazione';

        it['remoteconnection'] = 'Connessione remota';
        it['remoteconnections'] = 'Connessioni remote';
        it['deleteremoteconnection'] = 'Cancellazione connessione remota';
        it['msgconfirmremoteconnectiondelete'] = 'Confermare la cancellazione per connessione';
        it['remoteconnectiontype'] = 'Tipologia connessione remota';
        it['config'] = 'Configurazione';

        it['hsalarmThreshold'] = 'Soglia allarmi';
        it['hsboostthreshold'] = 'Soglia boost';        
        it['hsAllarmi_TempoAvvioCal'] = 'delta tempo per avvio caldaia (minuti)';
        it['hsAllarmi_SogliaTemp'] = 'delta soglia temperatura';
        it['Allarmi_kScambiatore'] = 'k scambiatore';
        it['hsantifreeze'] = 'Antigelo';
        it['hsAntigelo_Soglia_start'] = 'Soglia minima di avvio';
        it['hsAntigelo_Soglia_stop'] = 'Soglia di arresto';
        it['hsAntigelo_Enabled'] = 'Abilitato';
        it['hsCascadeBoilersparameter'] = 'Parametri caldaie in cascata';
        it['hsCascata_Temp_Errore'] = 'Temp. soglia errore set point mandata';
        it['hsCascata_Tempo_Off_Cal2'] = 'Tempo spegimento seconda caldaia';
        it['hsCascata_Tempo_Errore'] = 'Tempo persistenza errore';
        it['hsCIRCULATORSparameters'] = 'Parametri circolatori circuito primario';
        it['hsCIRCULATORSDelay'] = 'Parametri circolatori tempi on/off';
        it['TempoOn'] = 'Tempo accensione';
        it['TempoOff'] = 'Tempo spegnimento';
        it['hsUtaDelay'] = 'Parametri ritardo UTA';
        it['hsflowtemperaturelimits'] = 'Parametri temperatura mandata UTA';
        it['maxFlowTemperature'] = 'Temp. mand. max';
        it['minFlowTemperature'] = 'Temp. mand. min';
        it['hsEvDelay'] = 'Parametri elettrovalvole tempi on/off';
        it['hsCronHysteresys'] = 'Parametri isteresi cronotermostati';
        it['Hysteresys'] = 'Isteresi';

        //BOILERS
        it['element'] = 'Elemento';
        it['boiler'] = 'Unità termica';
        it['boilers'] = 'Unità termiche';
        it['cal_current_cc'] = 'curva climatica corrente';
        it['cal_ccs'] = 'curve climatiche';
        it['cal_cc'] = 'curva climatica';
        it['calRequestRun'] = 'Richiesto';
        it['calTryRearm'] = 'Riarmo';
        //CIRCULATORS
        it['circulator'] = 'Circolatore';
        it['circulators'] = 'Circolatori';
        it['circulatorD'] = 'Circolatore gemellare';
        it['circulatorsD'] = 'Circolatori gemellari';
        it['cirDworkingmode'] = 'Modo';
        it['cirDworkingmode0'] = 'Entrambe';
        it['cirDworkingmode1'] = 'Alternate ogni 24h';
        it['cirDworkingmode2'] = 'A on, B backup';
        it['cirDworkingmode3'] = 'B on, A backup';

        it['circulatorM'] = 'Circolatore Modbus';
        it['circulatorsM'] = 'Circolatori Modbus';
        it['cirMworkingmode'] = 'Modo';
        it['cirMworkingmode0'] = 'Spento';
        it['cirMworkingmode1'] = 'In carica';
        it['cirMworkingmode2'] = 'Acceso';

        it['circulatorDM'] = 'Circolatore gemellare Modbus';
        it['circulatorsDM'] = 'Circolatori gemellare Modbus';
        it['cirDMworkingStatus'] = 'Modo';
        it['cirDMworkingStatus0'] = 'Entrambe';
        it['cirDMworkingStatus1'] = 'Alternate';
        it['cirDMworkingStatus2'] = 'A backup su B';
        it['cirDMworkingStatus3'] = 'B backup su A';
        it['cirDMworkingmode'] = 'Modo';
        it['cirDMworkingmode0'] = 'Off';
        it['cirDMworkingmode1'] = 'In carica';
        it['cirDMworkingmode2'] = 'Acceso';
        //SERVOMOTORI
        it['servomotor'] = 'Servomotore';
        it['servomotors'] = 'Servomotori';
        //CRONO
        it['chronothermostat'] = 'Cronotermostato virtuale';
        it['chronothermostats'] = 'Cronotermostati virtuali';
        it['chronograph'] = 'Cronografo';
        it['chronographs'] = 'Cronografi';
        it['CronProfileTasks'] = 'Profili giornalieri';
        it['CronProfileTask'] = 'Profilo giornaliero';
        it['LoadedCronProfileTasks'] = 'Profili giornalieri caricati';
        it['yearsRepeatable'] = 'Ripetibile negli anni successivi';
        it['currentTask'] = 'Attività corrente';
        it['allTasks'] = 'Tutte le Attività';
        //CTL - CTB - SONDE
        it['flowmeter'] = 'Contalitri';
        it['flowmeters'] = 'Contalitri';
        it['meter'] = 'Contabilizzatore';
        it['meters'] = 'Contabilizzatori';
        it['temperatureprobe'] = 'Sonda di temperatura';
        it['temperatureprobes'] = 'Sonde di temperatura';
        it['availableprobes'] = 'Sonde disponibili';
        it['assignedprobes'] = 'Sonde assegnate';
        it['availableboilers'] = 'Caldaie disponibili';
        it['assignedboilers'] = 'Caldaie assegnate';
        it['availablecronos'] = 'Cronotermostati disponibili';
        it['assignedcronos'] = 'Cronotermostati assegnati';
        it['availablecronographs'] = 'Cronografi disponibili';
        it['assignedcronographs'] = 'Cronografi assegnati';
        it['availableastrs'] = 'Orologi astronomici disponibili';
        it['assignedastrs'] = 'Orologi astronomici assegnati';
        //HVAC
        it['hs_hvacs'] = 'Risc./Vent./Condiz.';
        it['hs_hvac'] = 'Risc./Vent./Condiz.';
        it['hvacworkingmode0'] = 'Zona morta';
        it['hvacworkingmode1'] = 'Riscaldamento';
        it['hvacworkingmode2'] = 'Raffreddamento';
        it['hvacsetPointCold'] = 'set point raffreddamento';
        it['hvacsetPointHot'] = 'set point riscaldamento';
        it['hvacppmMin'] = 'co2 minima';
        it['hvacppmMax'] = 'co2 massima';
        it['hvacOpenShutterMin'] = 'max. apertura serranda est.';
        it['hvacfreeCoolingMin'] = 'Set point min. freecooling';
        it['hvacfreeCoolingMax'] = 'Set point max. freecooling';
        it['hvacdeadzonetemp'] = 'Attivazione zona morta temperatura';
        it['hvacairexchange'] = 'Attivazione ricambio aria';
        it['hvacfreecooling'] = 'Attivazione free cooling';
        it['hvacSupplyFanParams'] = 'Parametri ventilatore mandata';
        it['hvacSFBmsDayEnSP'] = 'Vent. mandata set point attivazione (giorno)';
        it['hvacSFBmsDayEnSPDZ'] = 'Vent. mandata set point zona morta (giorno)';
        it['hvacSFBmsNightEnSP'] = 'Vemt. mandata set point attivazione (notte)';
        it['hvacSFBmsNightEnSPDZ'] = 'Vent. mandata set point zona morta (notte)';
        //VARIE
        it['synoptic'] = 'Sinottico';
        it['synoptics'] = 'Sinottici';
        it['door'] = 'Ingresso';
        it['doors'] = 'Ingressi';
        it['hs_pm'] = 'Pressostato di minima';
        it['hs_pms'] = 'Pressostati di minima';
        it['hs_pb'] = 'Pressostato di blocco';
        it['hs_pbs'] = 'Pressostati di blocco';
        it['hs_tb'] = 'Termostato di blocco';
        it['hs_tbs'] = 'Termostati di blocco';
        it['hs_gru'] = 'Gruppo termico';
        it['hs_grus'] = 'Gruppo termico';
        it['hs_ctGas'] = 'Contatore gas';
        it['hs_ctGass'] = 'Contatori gas';
        it['hs_ctps'] = 'Misuratori portata';
        it['hs_ctp'] = 'Misuratore portata';
        it['hs_Anzs'] = 'Analizzatori di rete';
        it['hs_Anz'] = 'Analizzatore di rete';
        it['sdin_Anzs'] = 'Analizzatori di rete SDIN';
        it['sdin_Anz'] = 'Analizzatore di rete SDIN';
        it['flowrate'] = 'Portata Instantanea';
        it['flowrate_cumulative'] = 'Portata Cumulata';
        it['power'] = 'Potenza';
        it['istantpower'] = 'Potenza istantanea';
        it['energycounter'] = 'Energia';
        it['digitalmodel'] = 'Modello digitale';
        it['hs_sca'] = 'stati/comandi/Allarmi';
        it['alarm'] = 'Allarme';
        it['cymt200s'] = 'Sens. Amb. SDIN';
        it['cymt200'] = 'Sens. Amb. SDIN';
        it['availablecymt200s'] = 'Sens. Amb. disponibili';
        it['assignedcymt200s'] = 'Sens. Amb. assegnate';
        it['W0077s'] = 'Gruppi fotovoltaico/batt.';
        it['W0077'] = 'Gruppo fotovoltaico/batt.';
        it['ExpoSplit'] = 'Split';
        it['ExpoSplitTemp'] = 'Temperatura richiesta';
        it['ExpoSplitCymt200Temp'] = 'Temperatura effettiva';
        it['ExpoSplitOnOff'] = 'ON/OFF';
        it['ExpoSplitMode'] = 'Modo';
        it['ExpoSplitModeAuto'] = 'Auto';
        it['ExpoSplitModeCool'] = 'Condizionatore';
        it['ExpoSplitModeDry'] = 'Deumidificatore';
        it['ExpoSplitModeHeat'] = 'Pompa di calore';
        it['ExpoSplitFanSpeed'] = 'Potenza ventola';
        it['ExpoSplitFanSpeedSlow'] = 'Lenta';
        it['ExpoSplitFanSpeedMedium'] = 'Media';
        it['ExpoSplitFanSpeedFast'] = 'Veloce';
        it['ExpoSplitSwing'] = 'Alette';
        it['ExpoSplitSwingAuto'] = 'Automatiche';
        it['ExpoSplitSwingFixed'] = 'Fisse';
        it['ExpoSplitActualValue'] = 'Attuale';
        it['hs_hvacs'] = 'Risc./Vent./Condiz.';
        it['hs_hvac'] = 'Risc./Vent./Condiz.';
        it['hvacworkingmode0'] = 'Zona morta';
        it['hvacworkingmode1'] = 'Riscaldamento';
        it['hvacworkingmode2'] = 'Raffreddamento';
        it['hvacsetPointCold'] = 'set point raffreddamento';
        it['hvacsetPointHot'] = 'set point riscaldamento';
        it['hvacppmMin'] = 'co2 minima';
        it['hvacppmMax'] = 'co2 massima';
        it['hvacOpenShutterMin'] = 'max. apertura serranda est.';
        it['hvacfreeCoolingMin'] = 'Set point min. freecooling';
        it['hvacfreeCoolingMax'] = 'Set point max. freecooling';
        it['hvacdeadzonetemp'] = 'Attivazione zona morta temperatura';
        it['hvacairexchange'] = 'Attivazione ricambio aria';
        it['hvacfreecooling'] = 'Attivazione free cooling';
        it['hvacSupplyFanParams'] = 'Parametri ventilatore mandata';
        it['hvacSFBmsDayEnSP'] = 'Vent. mandata set point attivazione (giorno)';
        it['hvacSFBmsDayEnSPDZ'] = 'Vent. mandata set point zona morta (giorno)';
        it['hvacSFBmsNightEnSP'] = 'Vemt. mandata set point attivazione (notte)';
        it['hvacSFBmsNightEnSPDZ'] = 'Vent. mandata set point zona morta (notte)';



        it['CronCopyFromPast'] = 'Copia da anno prec.';
        //
        it['replacements'] = 'Sostituzioni';
        it['replacement']= 'Sostituzione';
        it['marcamodello'] = 'Marca e modello';
        it['installationDate'] = 'Data installazione';
        it['replaceDate'] = 'Data sostituzione';
        it['replaceWithTask'] = 'Ripristina schedulazione';

        it['title'] = 'Titolo';
        it['requester'] = 'Richiedente';
        it['executor'] = 'Esecutore';
        it['peopletobenotified'] = 'Persone da avvisare';

        it['geolocation'] = 'Localizzazione';
        it['hs_businesshours'] = 'Orari esercizio';
        it['hs_businesshour'] = 'Orario esercizio';
        it['isClosedTime'] = 'Orario di chiusura';
        //=========================================================

        //EN
        //=========================================================

        //MENU DEVICES LANGUAGES
        en['BUCKET'] = 'Bucket Niagara';
        en['ESC'] = 'Dryer';
        en['POOLISOIL'] = 'Variabiles';
        en['POOLNX'] = 'Lennox';
        en['GASMBASIC'] = 'Gas Sensor';
        en['STALL'] = 'Stall';
        en['CAL'] = 'Thermal unit';
        en['GRU'] = 'Thermal group';
        en['PDC'] = 'Heat pump';
        en['S'] = 'Temperature probe';
        en['UTA'] = 'air handling unit';
        en['UTACOIN'] = 'air handling unit';
        en['CHIAERMEC'] = 'Refrigerator';
        en['CHI'] = 'Refrigerator';
        en['COOV'] = 'co2 Sensor';
        en['POOL'] = 'all field variables';
        en['ANZ'] = 'Electric power meter';
        en['FPT'] = 'Flow sensor';
        en['PPV'] = 'Pressure sensor';
        en['COMPINGRR'] = 'Comp R225ne';
        en['COMPINGRML'] = 'Comp ML250ssr';
        en['CRON'] = 'Cronotermostat';
        en['SCA'] = 'Status/Comand';
        en['HVAC'] = 'Heat./Vent./Cond.';
        en['LUX'] = 'Lux';
        en['ZTH'] = 'Sonda Amb[°C/%]';
        en['ZTHL'] = 'Sonda Amb[°C/%/lux]';
        en['ZTHC'] = 'Sonda Amb[°C/%/ppm]';
        en['ZANZ'] = 'Analiz di Rete [W/V/A]';
        en['ZTXC'] = 'Generic temperature probe';
        en['GAS'] = 'Gas meter';
        en['GASM'] = 'Gas meter';
        en['CTB'] = 'heat meter';
        en['EV'] = 'Electrovalve';
        en['CIR'] = 'Circulator';
        en['CIRM'] = 'Modbus circulator';
        en['CIRD'] = 'Twin circulator';
        en['CIRDM'] = 'Modbus twin circulator';
        en['VRD'] = 'Servomotor';
        en['CTL'] = 'Liter counter';
        en['PB'] = 'Block pressure switch';
        en['PM'] = 'Minimum pressure switch';
        en['TB'] = 'Block thermostat';
        en['PORT'] = 'Flowmeter';

        en['CALS'] = 'Thermal units';
        en['GRUS'] = 'Thermal groups';
        en['PDCS'] = 'Heat pumps';
        en['SS'] = 'Temperature probe';
        en['UTAS'] = 'air handling unit';
        en['UTACOINS'] = 'air handling units';
        en['CHIAERMECS'] = 'Refrigerators';
        en['CHIS'] = 'Refrigerators';
        en['COOVS'] = 'co2 Sensors';
        en['POOLS'] = 'all field variables';
        en['ANZS'] = 'Eletric power meters';
        en['FPTS'] = 'flow sensors';
        en['PPVS'] = 'Pressure sensors';
        en['COMPINGRRS'] = 'Comp R225ne';
        en['COMPINGRMLS'] = 'Comp ML250ssr';
        en['CRONS'] = 'Cronotermostats';
        en['SCA'] = 'Status/Comands';
        en['HVACS'] = 'Heat./Vent./Ari Cond.';
        en['LUXS'] = 'Lights';
        en['ASTRS'] = 'Orologi astronomici';
        en['ZTHS'] = 'Sonde Amb[°C/%]';
        en['ZTHLS'] = 'Sonde Amb[°C/%/lux]';
        en['ZTHCS'] = 'Sonde Amb[°C/%/ppm]';
        en['ZANZS'] = 'Analizzatorti di Rete [W/V/A]';
        en['ZTXCS'] = 'Generic temperature probes';
        en['GASS'] = 'Gas meter';
        en['GASMS'] = 'Gas meters';
        en['CTBS'] = 'Heat meters';
        en['EVS'] = 'Electrovalves';
        en['CIRS'] = 'Circulators';
        en['CIRMS'] = 'Modbus circulators';
        en['CIRDS'] = 'Twin circulators';
        en['CIRDMS'] = 'Modbus twin circulators';
        en['VRDS'] = 'Servomotors';
        en['CTLS'] = 'Liter counters';
        en['PBS'] = 'Block pressure switches';
        en['PMS'] = 'Minimum pressure switches';
        en['TBS'] = 'Block thermostats';
        en['PORTS'] = 'Flowmeters';
        //-------------------------------//

        en['TotalPowerFactor'] = 'Total power factor';
        en['TotalActivePower'] = 'Total active power';
        en['TotalReactivePower'] = 'Total reactive power';
        en['TotalApparentPower'] = 'Total apparent power';
        en['TotalCurrent'] = 'Total current';
        en['TotalActiveEnergyConsumed'] = 'Total active energy consumed';
        en['Vrms1'] = 'Vrms 1';
        en['Vrms2'] = 'Vrms 2';
        en['Vrms3'] = 'Vrms 3';
        en['Vrms4'] = 'Vrms 4';        
        en['In1'] = 'Probe 1';
        en['In2'] = 'Probe 2';
        en['In3'] = 'Probe 3';
        en['In4'] = 'Probe 4';

        en['mes1'] = 'Click here to save and send the Ticket';
        en['Maintenance_Mode_message'] = 'Plant in Standby: you will not reach more emails and error messages until the Maintenance is over ';

        en['TicketTitle'] = 'Ticket Title';
        en['requester'] = 'Requester';
        en['executor'] = 'Executor';
        en['DateRequest'] = 'Request Date';
        en['DateExecution'] = 'Execution Date';
        en['ExecutorComment'] = 'Executor Note';
        en['TicketList'] = 'TicketList';
        en['SearchTicket'] = 'Search Ticket';
        en['manage_people'] = 'Requester/ Executor';
        en['Ticket'] = 'Ticket';
        en['TicketStatus'] = 'Ticket Status';

        en['FromDate'] = 'From';
        en['refresh'] = 'Refresh';
        en['add'] = 'Add';
        en['addF'] = 'Add';
        en['edit'] = 'Edit';
        en['delete'] = 'Delete';
        en['read'] = 'Read';
        en['save'] = 'Save';
        en['retype'] = 'Retype';
        en['close'] = 'Close';
        en['clear'] = 'Clear';
        en['confirmdelete'] = 'Confirm delete';
        en['confirm'] = 'Confirm';
        en['copy'] = 'Copy';
        en['detail'] = 'Detail';
        en['description'] = 'Description';
        en['search'] = 'Search';
        en['status'] = 'Status';
        en['map'] = 'Map';
        en['list'] = 'List';
        en['prev'] = 'Prev';
        en['next'] = 'Next';
        en['select'] = 'Select';
        en['manage'] = 'Manage';
        en['alert'] = 'Alert';
        en['portnumber'] = 'Port';
        en['type'] = 'Type';
        en['starttime'] = 'start time';
        en['language'] = 'Language';
        en['yes'] = 'Yes';
        en['no'] = 'No';
        en['lastupdate'] = 'Last modified';
        en['lastupdateshort'] = 'Modified';
        en['latitude'] = 'Latitude';
        en['longitude'] = 'Longitude';
        en['altitude'] = 'Altitude';
        en['year'] = 'Year';
        en['years'] = 'Yars';
        en['month'] = 'Month';
        en['months'] = 'Months';
        en['day'] = 'Day';
        en['days'] = 'Days';
        en['hour'] = 'Hour';
        en['hours'] = 'Hours';
        en['minute'] = 'Minute';
        en['minutes'] = 'Minutes';
        en['second'] = 'Second';
        en['seconds'] = 'Seconds';
        en['millisecond'] = 'Millisecond';
        en['milliseconds'] = 'Milliseconds';
        en['qta'] = 'Quantity';
        en['code'] = 'Code';
        en['document'] = 'Document';
        en['documents'] = 'Documents';
        en['size'] = 'Size';
        en['daterange'] = 'Date range';
        en['furtherdetail'] = 'Further detail';
        en['send'] = 'Send';
        en['connected'] = 'Connected';
        en['level'] = 'Level';
        en['calendar'] = 'Calendar';
        en['schedule'] = 'Schedule';
        en['start'] = 'Inizio';
        en['end'] = 'Fine';
        en['monday'] = 'Monday';
        en['tuesday'] = 'Tuesday';
        en['wednesday'] = 'Wednesday';
        en['thursday'] = 'Thursday';
        en['friday'] = 'Friday';
        en['saturday'] = 'Saturday';
        en['sunday'] = 'Sunday';
        en['mondayshort'] = 'Mon.';
        en['tuesdayshort'] = 'Tue.';
        en['wednesdayshort'] = 'Wed.';
        en['thursdayshort'] = 'Thu.';
        en['fridayshort'] = 'Fri.';
        en['saturdayshort'] = 'Sat.';
        en['sundayshort'] = 'Sun.';

        en['signin'] = 'Sign in';
        en['rememberme'] = 'Remember me';
        en['logasadministrator'] = 'Log as administrator';
        en['logasoperator'] = 'Log as operator';
        en['logassupervisor'] = 'Log as supervisor';
        en['administratorlogin'] = 'Administrator login';
        en['operatorlogin'] = 'Operator Login';
        en['supervisorlogin'] = 'Supervisor Login';

        en['dashboard'] = 'Dashboard';
        en['role'] = 'Role';
        en['roles'] = 'Roles';
        en['users'] = 'Users';
        en['user'] = 'User';
        en['endusers'] = 'End users';
        en['enduser'] = 'End users';
        en['clients'] = 'Owners';
        en['client'] = 'Owner';
        en['mantainers'] = 'Mantainers';
        en['mantainer'] = 'Mantainer';
        en['availabeusers'] = 'Available users';
        en['assignedusers'] = 'Assigned users';
        en['ismaster'] = 'Master';
        en['administration'] = "Administration";
        en['navigation'] = 'Navigation';
        en['cpuusage'] = 'cpu usage';
        en['batchrequest'] = 'batch request';
        en['currentjobs'] = 'current jobs';
        en['approved'] = 'approved';
        en['notapproved'] = 'not approved';
        en['locked'] = 'locked';
        en['enabled'] = 'enabled';
        en['isenabled'] = 'enabled';
        en['waittime'] = 'wait time';
        en['hostname'] = 'hostname';
        en['networkaddress'] = 'Address';
        en['userslist'] = 'Users List';
        en['select_a_role'] = 'Selete a role';
        en['adduser'] = 'Add user';
        en['userdetail'] = 'User detail';
        en['username'] = 'User name';
        en['usercomment'] = 'Comment';
        en['usercreation'] = 'Creation';
        en['userlastlogin'] = 'Last login';
        en['userisenabled'] = 'Is enabled';
        en['userisdisabled'] = 'Disabled';
        en['userislocked'] = 'Is locked';
        en['userisunlocked'] = 'Unlocked';
        en['deleteuser'] = 'Delete user';
        en['msgconfirmuserdelete'] = 'Confirm delete for user';
        en['msgoperationirreversible'] = 'This operation cannot be recovered';
        en['adduser'] = 'Add user';
        en['updateuser'] = 'Update user';
        en['updatedevice'] = 'Device Update';
        en['resetuserpassword'] = 'Reset user password';
        en['oldpassword'] = 'Old password';
        en['newpassword'] = 'new password';
        en['addressbook'] = 'Address book';
        en['name'] = 'Name';
        en['availables'] = 'Availables';
        en['available'] = 'Available';
        en['assigneds'] = 'Assigned';
        en['assigned'] = 'Assigned';
        en['profiles'] = 'Profiles';
        en['profile'] = 'Profile';
        en['projects'] = 'Projects';
        en['project'] = 'Project';
        en['projectUpd'] = 'Update Project';
        en['information'] = 'Informations';
        en['dbName'] = 'Database Name';
        en['address'] = 'Address';
        en['maintenance'] = 'Standby';
        en['isonline'] = 'Online';
        en['errorcode'] = 'Errors';
        en['errorcodes'] = 'Log/Errors';
		en['commands'] = 'Commands';
        en['newrole'] = 'New role';
        en['editrole'] = 'Edit ruolo';
        en['msgconfirmroledelete'] = 'Confirm delete for role';
        en['deleterole'] = 'Delete role';

        en['editInstallation'] = 'Edit installation';
		en['installations'] = 'Installations';
		en['installation'] = 'Installation';
		en['installationOffLine'] = 'Installation off line';
        en['devicesList'] = 'Devices List';
        en['currentInstallations'] = 'Current installations';
        en['installationaddress'] = 'Address';
        en['installationAltitude'] = 'Altitude';
        en['setaddress'] = 'Set address';
        en['installationmasterdata'] = 'Master data';
        en['InstallationSetup'] = 'Installation setup';

        en['remoteconnection'] = 'Remote connection';
        en['remoteconnections'] = 'Remote connections';
        en['deleteremoteconnection'] = 'Delete remote connection';
        en['msgconfirmremoteconnectiondelete'] = 'Confirm delete for connection';
        en['remoteconnectiontype'] = 'Remote connection type';
        en['config'] = 'Config.';

        en['hsalarmThreshold'] = 'Alarm threshold';
        en['hsboostthreshold'] = 'Boost threshold';
        en['hsAllarmi_TempoAvvioCal'] = 'delta time boiler start (minutes)';
        en['hsAllarmi_SogliaTemp'] = 'delta temperature threshold';
        en['Allarmi_kScambiatore'] = 'k scambiatore';
        en['hsantifreeze'] = 'Antifreeze';
        en['hsAntigelo_Soglia_start'] = 'Min. start threshold';
        en['hsAntigelo_Soglia_stop'] = 'Stop threshold';
        en['hsAntigelo_Enabled'] = 'Enabled';
        en['hsCascadeBoilersparameter'] = 'Cascade boilers parameters';
        en['hsCascata_Temp_Errore'] = 'threshold Temp. set point error';
        en['hsCascata_Tempo_Off_Cal2'] = 'Second boiler time off';
        en['hsCascata_Tempo_Errore'] = 'Persistence error time';
        en['hsCIRCULATORSparameters'] = 'Circulators parameters (primary circuit)';
        en['hsCIRCULATORSDelay'] = 'Circulators parameters switch on/off time';
        en['TempoOn'] = 'switch-on time';
        en['TempoOff'] = 'switch-off time';
        en['hsUtaDelay'] = 'Uta delay parameters';
        en['hsflowtemperaturelimits'] = 'UTA flow temperature limits';
        en['maxFlowTemperature'] = 'Max flow temperature';
        en['minFlowTemperature'] = 'Min flow temperature';
        en['hsEvDelay'] = 'Electric Valve parameters switch on/off time';
        en['hsCronHysteresys'] = 'Cron hysteresys parameters';
        en['Hysteresys'] = 'Hysteresys';
        //BOILERS

        en['element'] = 'Element';
        en['boiler'] = 'Thermal unit';
        en['boilers'] = 'thermal units';
        en['cal_current_cc'] = 'current climatic curve';
        en['cal_cc'] = 'climatic curve';
        en['cal_ccs'] = 'climatic curves';
        en['calRequestRun'] = 'Request';
        en['calTryRearm'] = 'Rearm';
        en['circulator'] = 'Circulator';
        en['circulators'] = 'Circulators';
        en['circulatorD'] = 'Twin circulator';
        en['circulatorsD'] = 'Twin circulators';
        en['cirDworkingmode'] = 'Mode';
        en['cirDworkingmode0'] = 'Both';
        en['cirDworkingmode1'] = 'Alternate';
        en['cirDworkingmode2'] = 'A on, B backup';
        en['cirDworkingmode3'] = 'B on, A backup';

        en['circulatorM'] = 'Modbus circulator';
        en['circulatorsM'] = 'Modbus circulators';
        en['cirMworkingmode'] = 'Mode';
        en['cirMworkingmode0'] = 'Off';
        en['cirMworkingmode1'] = 'Loading';
        en['cirMworkingmode2'] = 'On';

        en['circulatorDM'] = 'Twin modbus circulator';
        en['circulatorsDM'] = 'Twin modbus circulators';
        en['cirDMworkingStatus'] = 'Modo';
        en['cirDMworkingStatus0'] = 'Both';
        en['cirDMworkingStatus1'] = 'Alternate';
        en['cirDMworkingStatus2'] = 'A Backup on B';
        en['cirDMworkingStatus3'] = 'B Backup on A';
        en['cirDMworkingmode'] = 'Mode';
        en['cirDMworkingmode0'] = 'Off';
        en['cirDMworkingmode1'] = 'Loading';
        en['cirDMworkingmode2'] = 'On';

        en['servomotor'] = 'Servomotor';
        en['servomotors'] = 'Servomotors';
        en['chronothermostat'] = 'Virtual Chronothermostat';
        en['chronothermostats'] = 'Virtual Chronothermostats';
        en['chronograph'] = 'Chronograph';
        en['chronographs'] = 'Chronographs';
        en['CronProfileTasks'] = 'Daily tasks';
        en['CronProfileTask'] = 'Daily task';
        en['LoadedCronProfileTasks'] = 'Loaded daily profiles';
        en['yearsRepeatable'] = 'Repeatable in subsequent years';
        en['currentTask'] = 'Current task';
        en['allTasks'] = 'All tasks';
        en['flowmeter'] = 'liters counter';
        en['flowmeters'] = 'liters counters';
        en['meter'] = 'Meter';
        en['meters'] = 'Meters';
        en['temperatureprobe'] = 'Temperature Probe';
        en['temperatureprobes'] = 'Temperature Probes';
        en['availableprobes'] = 'Available probes';
        en['assignedprobes'] = 'Assigned probes';
        en['availableboilers'] = 'Available boilers';
        en['assignedboilers'] = 'Assigned boilers';
        en['availablecronos'] = 'Available chronothermostats';
        en['assignedcronos'] = 'Assigned Chronothermostats';
        en['availablecronographs'] = 'Available cronographs';
        en['assignedcronographs'] = 'Assigned cronographs';
        en['availableastrs'] = 'Available astronomical clocks';
        en['assignedastrs'] = 'Assigned astronomical clocks';
        en['synoptic'] = 'synoptic';
        en['synoptics'] = 'synoptic';
        en['door'] = 'Door';
        en['doors'] = 'Doors';
        en['hs_pb'] = 'Block pressure switch';
        en['hs_pbs'] = 'Block pressure switches';
        en['hs_pm'] = 'Minimum pressure switch';
        en['hs_pms'] = 'Minimum pressure switches';
        en['hs_tb'] = 'Block thermostat';
        en['hs_tbs'] = 'Block thermostats';
        en['hs_gru'] = 'Thermal group';
        en['hs_grus'] = 'Thermal groups';
        en['hs_ctGas'] = 'Gas meter';
        en['hs_ctGass'] = 'Gas meters';
        en['hs_ctp'] = 'Flowmeter';
        en['hs_ctps'] = 'Flowmeters';
        en['hs_Anzs'] = 'Electric power meters';
        en['hs_Anz'] = 'Electric power meter';
        en['sdin_Anzs'] = 'SDIN Electric power meters';
        en['sdin_Anz'] = 'SDIN Electric power meter';
        en['flowrate'] = 'Instant flow rate';
        en['flowrate_cumulative'] = 'cumulative flow rate';
        en['power'] = 'Power';
        en['istantpower'] = 'Istant power';
        en['energycounter'] = 'Energy';
        en['digitalmodel'] = 'Digital model';
        en['hs_sca'] = 'status/commands/Alarms';
        en['alarm'] = 'Alarm';
        en['cymt200s'] = 'SDIN Ambient sensors';
        en['cymt200'] = 'SDIN Ambient sensor';
        en['availablecymt200s'] = 'Available ambient sensors';
        en['assignedcymt200s'] = 'Assigned ambient sensors';
        en['W0077s'] = 'PV/batt. groups';
        en['W0077'] = 'PV/batt. group';
        en['ExpoSplit'] = 'Split';
        en['ExpoSplitTemp'] = 'Target temperature';
        en['ExpoSplitCymt200Temp'] = 'Current temperature';
        en['ExpoSplitOnOff'] = 'ON/OFF';
        en['ExpoSplitMode'] = 'Mode';
        en['ExpoSplitModeAuto'] = 'Auto';
        en['ExpoSplitModeCool'] = 'Cool';
        en['ExpoSplitModeDry'] = 'Dry';
        en['ExpoSplitModeHeat'] = 'Heat';
        en['ExpoSplitFanSpeed'] = 'Fan speed';
        en['ExpoSplitFanSpeedSlow'] = 'Slow';
        en['ExpoSplitFanSpeedMedium'] = 'Medium';
        en['ExpoSplitFanSpeedFast'] = 'Fast';
        en['ExpoSplitSwing'] = 'Swing';
        en['ExpoSplitSwingAuto'] = 'Auto';
        en['ExpoSplitSwingFixed'] = 'Fixed';
        en['ExpoSplitActualValue'] = 'Actual value';

        en['CronCopyFromPast'] = 'Copy from prev. year';

        en['replacements'] = 'Replacements';
        en['replacement'] = 'Replacement';
        en['marcamodello'] = 'Brand and model';
        en['installationDate'] = 'Installation date';
        en['replaceDate'] = 'Replacement date';
        en['replaceWithTask'] = 'Restore scheduling';

        en['title'] = 'Title';
        en['requester'] = 'Requester';
        en['executor'] = 'Executor';
        en['peopletobenotified'] = 'People to be notified';

        en['geolocation'] = 'Geolocation';

        en['hs_businesshours'] = 'Business hours';
        en['hs_businesshour'] = 'Business hour';
        en['isClosedTime'] = 'Closing time'


        //HVAC
        en['hs_hvacs'] = 'Heat./Vent./Air Cond.';
        en['hs_hvac'] = 'Heat./Vent./Air Cond.';
        en['hvacworkingmode0'] = 'Dead zone';
        en['hvacworkingmode1'] = 'Heating mode';
        en['hvacworkingmode2'] = 'Cooling mode';
        en['hvacsetPointCold'] = 'Cooling set point';
        en['hvacsetPointHot'] = 'Heating set point';
        en['hvacppmMin'] = 'Min. co2';
        en['hvacppmMax'] = 'Max. co2';
        en['hvacOpenShutterMin'] = 'max. open shutter';
        en['hvacfreeCoolingMin'] = 'min. freecooling Set point';
        en['hvacfreeCoolingMax'] = 'max. freecooling Set point';
        en['hvacdeadzonetemp'] = 'Dead zone temperature activation';
        en['hvacairexchange'] = 'Air exchange activation';
        en['hvacfreecooling'] = 'Free cooling activation';
        en['hvacSupplyFanParams'] = 'Supply fan parameters';
        en['hvacSFBmsDayEnSP'] = 'Supply fan activation set point (day)';
        en['hvacSFBmsDayEnSPDZ'] = 'Supply fan activation dead zone set point (day)';
        en['hvacSFBmsNightEnSP'] = 'Supply fan activation set point (night)';
        en['hvacSFBmsNightEnSPDZ'] = 'Supply fan activation dead zone set point (nitght)';



        //=========================================================

        my.get = function () {
            var resources = [];
            resources['it'] = it;
            resources['en'] = en;
            console.log("TRADUZIONE", resources );
            return resources;
        };

        return my;
    })({})

})(jQuery);